# Retrieve Employee Time Off Data for Offboarding

GET https://api.letsdeel.com/rest/v2/eor/contracts/{contract_id}/offboarding/time-offs

This endpoint provides detailed time off information for an employee, including accrued, used, and scheduled days across all tracking periods. It also includes policy details, tracking configurations, and additional metadata to support the offboarding request process. The data is used to display comprehensive time off information on the offboarding request page.
 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-offboarding/get-contract-offboarding-time-offs

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/contracts/{contract_id}/offboarding/time-offs:
    get:
      operationId: get-contract-offboarding-time-offs
      summary: Retrieve Employee Time Off Data for Offboarding
      description: >-
        This endpoint provides detailed time off information for an employee,
        including accrued, used, and scheduled days across all tracking periods.
        It also includes policy details, tracking configurations, and additional
        metadata to support the offboarding request process. The data is used to
        display comprehensive time off information on the offboarding request
        page.
         **Token scopes**: `contracts:read`
      tags:
        - subpackage_eorOffboarding
      parameters:
        - name: contract_id
          in: path
          description: The unique identifier of the employee contract.
          required: true
          schema:
            type: string
        - name: end_date
          in: query
          description: Desired end date for offboarding
          required: false
          schema:
            type: string
            format: date
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved used time off information
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-offboarding_getContractOffboardingTimeOffs_Response_200
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveEmployeeTimeOffDataForOffboardingRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveEmployeeTimeOffDataForOffboardingRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveEmployeeTimeOffDataForOffboardingRequestForbiddenError
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveEmployeeTimeOffDataForOffboardingRequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataEntitlementsItemsEntitlementUnit:
      type: string
      enum:
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
        - WEEK
        - MONTH
        - YEAR
      description: Unit of time measurement
      title: >-
        EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataEntitlementsItemsEntitlementUnit
    EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataEntitlementsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The entitlement ID
        used:
          type: number
          format: double
          description: Amount of time off used in this period
        requests:
          type: integer
          description: Number of time off requests in this period
        created_at:
          type: string
          format: date-time
          description: When the entitlement was created
        updated_at:
          type: string
          format: date-time
          description: When the entitlement was updated
        tracking_period:
          type: string
          format: date
          description: The tracking period start date
        entitlement_unit:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataEntitlementsItemsEntitlementUnit
          description: Unit of time measurement
        tracking_period_end_date:
          type: string
          format: date
          description: The tracking period end date
      required:
        - id
        - used
        - requests
        - created_at
        - updated_at
        - tracking_period
        - entitlement_unit
        - tracking_period_end_date
      title: >-
        EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataEntitlementsItems
    EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataTrackingType:
      type: string
      enum:
        - OFF_PLATFORM
        - ON_PLATFORM
      description: The time off tracking type
      title: >-
        EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataTrackingType
    EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataPolicySettings:
      type: object
      properties:
        entitlement_unit:
          type: string
          description: The entitlement unit for the policy
        is_accrued_days_available:
          type: boolean
          description: Whether accrued days are available
        is_estimated_payout_available:
          type: boolean
          description: Whether estimated payout is available
      required:
        - entitlement_unit
        - is_accrued_days_available
        - is_estimated_payout_available
      description: Policy configuration settings for time off calculations
      title: >-
        EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataPolicySettings
    EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataUpcomingTimeOffsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Time off request ID
        amount:
          type: number
          format: double
          description: Amount of time off requested
        status:
          type: string
          description: Status of the time off request
        end_date:
          type: string
          format: date-time
          description: End date of the time off
        created_at:
          type: string
          format: date-time
          description: When the time off request was created
        start_date:
          type: string
          format: date-time
          description: Start date of the time off
        updated_at:
          type: string
          format: date-time
          description: When the time off request was updated
        approved_at:
          type: string
          format: date-time
          description: When the time off was approved
        requested_at:
          type: string
          format: date-time
          description: When the time off was requested
      required:
        - id
        - amount
        - status
        - end_date
        - created_at
        - start_date
        - updated_at
        - approved_at
        - requested_at
      title: >-
        EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataUpcomingTimeOffsItems
    EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        contract_id:
          type: string
          description: The unique identifier of the employee contract
        entitlements:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataEntitlementsItems
          description: List of entitlement periods sorted by tracking period (descending)
        tracking_type:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataTrackingType
          description: The time off tracking type
        policy_settings:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataPolicySettings
          description: Policy configuration settings for time off calculations
        remaining_balance:
          type:
            - number
            - 'null'
          format: double
          description: Remaining time off balance
        upcoming_time_offs:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataUpcomingTimeOffsItems
          description: List of upcoming time off requests
        has_external_integration:
          type: boolean
          description: Whether the contract has external integration
      required:
        - contract_id
        - entitlements
        - tracking_type
        - policy_settings
        - upcoming_time_offs
        - has_external_integration
      title: >-
        EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaData
    eor-offboarding_getContractOffboardingTimeOffs_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: eor-offboarding_getContractOffboardingTimeOffs_Response_200
    EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Error code of the handler which produced the returned error
        field:
          type: string
          description: The field name where error occurred (null for server errors)
        message:
          type: string
          description: Description of the returned error
      title: >-
        EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems
    RetrieveEmployeeTimeOffDataForOffboardingRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveEmployeeTimeOffDataForOffboardingRequestBadRequestError
    RetrieveEmployeeTimeOffDataForOffboardingRequestUnauthorizedError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveEmployeeTimeOffDataForOffboardingRequestUnauthorizedError
    RetrieveEmployeeTimeOffDataForOffboardingRequestForbiddenError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveEmployeeTimeOffDataForOffboardingRequestForbiddenError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    RetrieveEmployeeTimeOffDataForOffboardingRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveEmployeeTimeOffDataForOffboardingRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/time-offs"

querystring = {"end_date":"2025-10-20"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```